Subject: Re: [PATCH 1/2] progress: create progress struct in 'verbose' mode

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Aug 2020 15:44:08 -0700

Emily Shaffer <[email-masked]> writes:

> The main concern I saw here was "we are doing a lot of work that isn't
> used if the user doesn't want to log traces" - should I approach a
> reroll of this topic by trying to be smarter about whether to set
> 'quiet' or 'print' or 'verbose' or whatever it is renamed to, based on
> whether there is a trace destination? Then for systems which are logging
> traces the extra work is worth it, but for everyone else it can function
> as before.
>
> I don't love it from a design perspective - it feels a little like
> progress module is looking a little too closely at trace module
> internals.

Isn't that primarily due to the decision to tie progress and trace
too closely?  If so, perhaps that needs to be revisited?

I dunno.